Skip to content

# python-terminusgps documentation

python-terminusgps is a package [1] of subpackages that streamlines the use of web APIs for Terminus GPS developers.

Terminus GPS is an IoT hardware/software GPS monitoring company.

[1]

In other programming languages, the term “library” is used to describe what Python calls a “package”. Put simply, a “package” is a Python “library”.

## Installation

Use pip to install from PyPI.

    pip install python-terminusgps

All subpackages are nested within `terminusgps`:

    from terminusgps.aws.secrets import get_secret # Retrieves a secret from AWS
    from terminusgps.wialon.session import WialonSession # Creates Wialon API sessions

Contents:

- Authorizenet API
  - Models
- AWS API
  - Notifications
  - Secrets
- Django
  - Forms
  - Mixins
  - Settings
  - Validators
- Twilio API
  - Caller object
  - Usage Examples
- Wialon API
  - Models